Name:           python-crypto-cpp-py
Version:        1.4.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This is a packaged crypto-cpp program

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/software-mansion-labs/crypto-cpp-py.git
Source:         %{pypi_source crypto_cpp_py}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'crypto-cpp-py' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-crypto-cpp-py
Summary:        %{summary}

%description -n python3-crypto-cpp-py %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-crypto-cpp-py build


%prep
%autosetup -p1 -n crypto_cpp_py-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x build


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-crypto-cpp-py -f %{pyproject_files}


%changelog
%autochangelog